#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
# Paul Liskay 2/13/97
# Remove duplicate rows from WRIMSQL
# input is sorted by using the 'order by' clause in the
# sql query that created the output used as as input to this awk
# output to STDOUT

BEGIN { prev_record = "";
        FS =  "\n";
        RS = "\n";
      }
$0 ~ /SQL/ {
   }

$0 ~ /Row / {
   row = $0;
   }
$0 ~ / source :/ {
   source = $0;
   }
$0 ~ / sub_source :/ {
   sub_source = $0;
   }
$0 ~ / hostname :/ {
   hostname = $0;
   }
$0 ~ / origin :/ {
   origin = $0;
   }
$0 ~ / sub_origin :/ {
   sub_origin = $0;
   this_record = source sub_source hostname origin sub_origin;
   if (this_record != prev_record)
      {
      printf("%s\n", row);
      printf("%s\n", origin);
      printf("%s\n", sub_origin);
      printf("%s\n", hostname);
      printf("%s\n", source);
      printf("%s\n", sub_source);
      }
   prev_record = source sub_source hostname origin sub_origin;

   }
