#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
#
# Program:     lvl_convert.awk
#
# Description: translation of the Severity group to a response level
#
# Author:      Kevin Norsworthy 3/07/97
#
# Parameters:  a string
#
# Returned:    a translated string if match found
#
# Invocation:  Invoked from setthresholds
###########################################################################
# scan current record for pattern match and execute code if matched.
/0/{print "normal" }
/1/{print "harmless"}
/2/{print "warning"}
/3/{print "severe"}
/4/{print "critical"}
/5/{print "fatal"}
