###########################################################################
#
#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
#
# Program:     tt_convert.awk
#
# Description: translation of the tec threshold group
#
# Author:      Kevin Norsworthy 3/07/97
#              Paul Liskay      4/30/97
#
# Changes:     Defect #35297 07/22/97 blanks were being stripped
#              Defect #36619 09/30/97 changed 1= to 2= for sub_origin
#
###########################################################################
##
# scan current record for pattern match and execute code if matched.
##

$0 ~ / origin :/ {
      printf ("%s",$1);
      printf ("%s",$2);
      if (0==match ($3,"=")) { printf ("1="); }
      for (i=3; i<= NF; i++) { printf ("%s",$i); }
      printf ("\n");
      }
$0 ~ / sub_origin :/ {
      printf ("%s",$1);
      printf ("%s",$2);
######if (0==match ($3,"=")) { printf ("1="); }
      if (0==match ($3,"=")) { printf ("2="); }
      for (i=3; i<= NF; i++) { printf ("%s",$i); }
      printf ("\n");
      }
$0 !~ /origin/ {
      printf("%s", $1);
      printf("%s", $2);
      for (i=3; i<= NF; i++) { printf ("%s ",$i); }
      printf ("\n");
      }

