#   +-------------------------------------------------------------------+
#   | Licensed Materials - Property of IBM                              |
#   | 5697-B83                                                          |
#   | (C) Copyright Tivoli Systems, an IBM Company 1982, 1997           |
#   | All rights reserved.                                              |
#   | (C) Copyright IBM Corp. 1982, 1997.  All rights reserved.         |
#   |                                                                   |
#   | US Government Users Restricted Rights - Use, duplication or       |
#   | disclosure restricted by GSA ADP Schedule Contract with IBM Corp. |
#   +-------------------------------------------------------------------+
#
# Program:     op_convert.awk
#
# Description: translation of the Operator group
#
# Author:      Kevin Norsworthy 3/07/97
#
# Parameters:  a string
#
# Returned:    a translated string if match found
#
# Invocation:  Invoked from setthresholds
###########################################################################
# scan current record for pattern match and execute code if matched.
/0/{print ">" }
/1/{print ">="}
/2/{print "<"}
/3/{print "<="}
/4/{print "=="}
/5/{print "="}
/6/{print "->"}
/7/{print "-<"}
/8/{print "->>"}
/9/{print "-<<"}
/10/{print "!<>"}
/11/{print "<>"}
